# eric4.Helpviewer.Network.NetworkAccessManagerProxy

Module implementing a network access manager proxy for web pages.

### Global Attributes

None

### Classes

NetworkAccessManagerProxy | Class implementing a network access manager proxy for web pages.

### Functions

None

## NetworkAccessManagerProxy

Class implementing a network access manager proxy for web pages.

### Derived from

QNetworkAccessManager

### Class Attributes

primaryManager

### Class Methods

None

### Methods

NetworkAccessManagerProxy | Constructor
createRequest | Protected method to create a request.
setPrimaryNetworkAccessManager | Public method to set the primary network access manager.
setWebPage | Public method to set the reference to a web page.

### Static Methods

None

#### NetworkAccessManagerProxy (Constructor)

NetworkAccessManagerProxy(parent = None)

Constructor

parent
  reference to the parent object (QObject)

#### NetworkAccessManagerProxy.createRequest

createRequest(op, request, outgoingData = None)

Protected method to create a request.

op
  the operation to be performed (QNetworkAccessManager.Operation)
request
  reference to the request object (QNetworkRequest)
outgoingData
  reference to an IODevice containing data to be sent (QIODevice)

Returns:
  reference to the created reply object (QNetworkReply)

#### NetworkAccessManagerProxy.setPrimaryNetworkAccessManager

setPrimaryNetworkAccessManager(manager)

Public method to set the primary network access manager.

manager
  reference to the network access manager object (QNetworkAccessManager)

#### NetworkAccessManagerProxy.setWebPage

setWebPage(page)

Public method to set the reference to a web page.

page
  reference to the web page object (HelpWebPage)

Up